"Too Modern for Time Warner"

Time Warner browser options

Apparently, I have upgraded myself beyond the ability to pay my cable bill at Time Warner's "PayXpress" website. This message was shocking for two reasons. First and initially, the fact that the corporation providing my internet service can't receive payment through my internet browser.

Secondly, the pathetic list of browsers they_do_support is just miserable:

  • Firefox 2.0 & 3.0. I'm running the latest version.. 9.0.1
  • Safari 3.0 & 4.0. I'm running the latest version.. 5.1.2
  • Internet Explorer 6.0, 7.0 & 8.0.. Well I'm not on Windows, but if I was I would probably have been forced to upgrade to Microsoft's latest & greatest, IE 9.0 (with 10.0 on the way) and been out of luck there as well.

Not to mention they don't support Chrome at all (my browser of choice), or Opera, or Camino, or mobile browsing, or a slew of other ways people browse the web. I mean they could at least support text-only browsers if they're supporting IE 6.0!

Of course I get this message after spending last month arguing with Time Warner's customer service regarding their not-so-automatic payment system, services appearing on my bill I didn't order, overwhelming price hikes for no apparent reason, drops in bandwidth, well the list goes on; but I'll save all that for another article.

Go Top
comments powered by Disqus